import "PvMP_Plus";

--TODO:
-- bessere Grafiken (aus buffbars)
-- fehlerbehandlung falls falsche daten eingegeben werden (opt. + init!)
-- fenster resizeable machen
-- options chatkommandos

_G.version = "1.2";
_G.Ranks = { [0]=0, [1]=500, [2]=1250, [3]=2750, [4]=5750, [5]=14750, [6]=33500, [7]=71000, [8]=146000, [9]=258500, [10]=408500, [11]=633500, [12]=1008500, [13]=1608500, [14]=2508500, [15]=3708500 };
_G.storage = Turbine.PluginData.Load(Turbine.DataScope.Character,"PvMP_Plus");
_G.data = {["numbers"] = {}, ["strings"] = {}};
_G.wallet_loaded = false;
_G.changes_made = false;

if storage == nil or storage.strings == nil then
	_G.data_loaded = false;
	storage = {["numbers"] = {}, ["strings"] = {}};
	data.numbers.points_total = 0;
	data.numbers.commendations = 0;
else
	_G.data_loaded = true;
	
	-- convert saved strings back into numbers
	for i,j in pairs(storage.numbers) do
		data.numbers[i] = tonumber(j);
	end
	
end


initWindow = InitWindow();
overviewWindow = OverviewWindow();

if data_loaded then
	overviewWindow:UpdateOverview(true);
else
	initWindow:Open();
end

Plugins["PvMP+"].Unload = function(sender, args)
	if data_loaded or changes_made  then
		storage.strings.version = version;
		data.numbers.overview_x, data.numbers.overview_y = overviewWindow:GetPosition();
		
	-- convert data into strings
	for i,j in pairs(data.numbers) do
		storage.numbers[i] = tostring(j);
	end	
		
		Turbine.PluginData.Save(Turbine.DataScope.Character, "PvMP_Plus", storage);
	--	Turbine.Shell.WriteLine("saved");
	end
end

plugin.GetOptionsPanel = function(self)
	local opt_panel = Turbine.UI.Control();
	opt_panel:SetHeight(100);
		
	local update_button = Turbine.UI.Lotro.Button();
	update_button:SetText(L.Options_Update);
	update_button:SetPosition(15,15);
	update_button:SetSize(200,30);
	update_button:SetParent(opt_panel);

	local reset_button = Turbine.UI.Lotro.Button();
	reset_button:SetText(L.Options_Reset);
	reset_button:SetPosition(15,40);
	reset_button:SetSize(200,30);
	reset_button:SetParent(opt_panel);
	
	update_button.MouseClick = function()
		initWindow:Open();
	end

	reset_button.MouseClick = function()
		data.numbers.overview_x = Turbine.UI.Display:GetWidth()/2 - overviewWindow:GetWidth()/2;
		data.numbers.overview_y = 0;
		overviewWindow:UpdatePosition();
	end
	
	return opt_panel
end