Updater = Turbine.UI.Control();
Updater:SetWantsUpdates(true);
	
Updater.Update = function(sender, args)
	local currentdate = Turbine.Engine.GetDate();
	local currentsecond = currentdate.Second;
	

	if (oldsecond ~= currentsecond) then

		if (wallet_loaded) then
			data.numbers.commendations = commendations_in_wallet:GetQuantity();
			overviewWindow:UpdateOverview();
		else
			
			local player = Turbine.Gameplay.LocalPlayer.GetInstance();
			local player_wallet = player:GetWallet();
			local player_wallet_size = player_wallet:GetSize();
				
			if player_wallet_size == 0 then return end --Remove when Wallet info are available before plugin is loaded
			
			for i = 1, player_wallet_size do
				local walletitem = player_wallet:GetItem(i);
				local walletitem_name = player_wallet:GetItem(i):GetName();

				if walletitem_name == L.Strings_Commendations then
					commendations_in_wallet = walletitem;
					data.numbers.commendations = commendations_in_wallet:GetQuantity();
					break
				end
			end

			overviewWindow:UpdateOverview();
			wallet_loaded = true;
		end

		oldsecond = currentsecond;
	end
end